[ovs-dev] [PATCH 2/2] travis: Automatically recheck failed tests.

Ben Pfaff blp at ovn.org
Tue Feb 9 19:44:40 UTC 2016


This should make the automatic testsuite more reliable on Travis.  It's
better to fix tests to be more reliable, of course, but in practie it's
difficult to make all of them 100% reliable.

Signed-off-by: Ben Pfaff <blp at ovn.org>
---
 .travis/build.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/.travis/build.sh b/.travis/build.sh
index 4df618b..ef712d0 100755
--- a/.travis/build.sh
+++ b/.travis/build.sh
@@ -99,7 +99,7 @@ else
 fi
 
 if [ "$TESTSUITE" ] && [ "$CC" != "clang" ]; then
-    if ! make distcheck; then
+    if ! make distcheck RECHECK=yes; then
         # testsuite.log is necessary for debugging.
         cat */_build/tests/testsuite.log
         exit 1
-- 
2.1.3




More information about the dev mailing list